#
# Conditional build:
%bcond_without	tests		# build with tests

%if "%(cat /etc/resolv.conf >/dev/null 2>/dev/null; echo $?)" != "0"
%undefine	with_tests
%endif

%define		php_min_version 5.2.0
%include	/usr/lib/rpm/macros.php
Summary:	PHP SDK for the Facebook API
Name:		php-facebook-sdk
Version:	3.2.1
Release:	2
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	https://github.com/facebook/facebook-php-sdk/tarball/v%{version}/%{name}-%{version}.tgz
# Source0-md5:	3eb7f2df0b2cd267f2e1c2f1349f86e4
Patch0:		class-nps.patch
URL:		https://github.com/facebook/facebook-php-sdk
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
%if %{with tests}
BuildRequires:	php-PHPUnit >= 3.5
BuildRequires:	php-curl
BuildRequires:	php-hash
BuildRequires:	php-json
BuildRequires:	php-pecl-xdebug
BuildRequires:	php-session
%endif
Requires:	php(core) >= %{php_min_version}
Requires:	php(curl)
Requires:	php(hash)
Requires:	php(json)
Suggests:	php(session)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear base_facebook.php

%description
Open Source PHP SDK that allows you to utilize the The Facebook
Platform which is a set of APIs that make your application more
social.

%prep
%setup -qc
mv facebook-facebook-php-sdk-*/* .
cp src/facebook.php src/facebook.nps.php
%patch0 -p1

%build
%if %{with tests}
phpunit \
	-d session.save_handler="files" \
	-d session.save_path="$(pwd)" \
	-d include_path=".:$(pwd):%{php_pear_dir}" \
	--colors \
	--coverage-html coverage \
	--verbose \
	--stderr \
	--bootstrap tests/bootstrap.php \
	tests/tests.php
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a src/*facebook*.php $RPM_BUILD_ROOT%{php_data_dir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.md changelog.md
%{php_data_dir}/facebook.php
%{php_data_dir}/facebook.nps.php
%{php_data_dir}/base_facebook.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 09 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-facebook-sdk.git;a=log;h=master

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> e875abc
- use _noautoreq_pear

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 588d946
- disable tests if network is not available (pld builders)

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 94f8ddf
- override include path, so it won't find installed facebook class first

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> e0b2217
- up to 3.2.1; enable tests

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 05ed133
up to 3.2.0

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 7224ef7
patch proper file with nps :)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a890706
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Wed Aug 22 2012 Elan Ruusamäe <glen@delfi.ee> 9fd955f
wtf rpm was this?

* Wed Aug 22 2012 Elan Ruusamäe <glen@delfi.ee> 8c6921b
add FacebookNPS (No Persistent Storage or No PHP Session) class

* Wed Aug 08 2012 Elan Ruusamäe <glen@delfi.ee> bdae702
keep BR deps package based, to ensure extension deps don't get mixed when building

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 3bfa792
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Wed Feb 01 2012 Elan Ruusamäe <glen@pld-linux.org> ccdc995
- new urls, nothing else

* Fri Oct 28 2011 Elan Ruusamäe <glen@pld-linux.org> 2d6e170
- up to 3.1.1

* Wed Jun 01 2011 Elan Ruusamäe <glen@pld-linux.org> fba46ce
- tests use assertNotEmpty, so PHPUnit 3.5 needed

* Wed Jun 01 2011 Elan Ruusamäe <glen@pld-linux.org> f26cb04
- up to 3.0.1

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> 81dffb7
- test deps, correct desc

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> 90ffbb7
- add testing

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> ac9d8f5
- up to 3.0.0, read https://developers.facebook.com/blog/post/503 before upgrading

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> c6cbd44
- up to 2.1.2

* Tue May 04 2010 Elan Ruusamäe <glen@pld-linux.org> 31caa3f
- new

